ProjectLibrary (Gradle API 8.11)

Package org.gradle.plugins.ide.idea.model

## Class ProjectLibrary

- java.lang.Object
- - org.gradle.plugins.ide.idea.model.ProjectLibrary

-     public class ProjectLibrary
      extends java.lang.Object

  A project-level IDEA library.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProjectLibrary()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addToNode​(Node parentNode, PathFactory pathFactory)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Set<java.io.File>` | `getClasses()` | A set of Jar files or directories containing compiled code.
    `java.util.Set<java.io.File>` | `getCompilerClasspath()` | A set of Jar files containing compiler classes.
    `java.util.Set<java.io.File>` | `getJavadoc()` | A set of Jar files or directories containing javadoc.
    `java.lang.String` | `getName()` | The name of the library.
    `java.util.Set<java.io.File>` | `getSources()` | A set of directories containing sources.
    `java.lang.String` | `getType()` | The type of the library.
    `int` | `hashCode()` |
    `void` | `setClasses​(java.util.Set<java.io.File> classes)` | A set of Jar files or directories containing source code.
    `void` | `setCompilerClasspath​(java.util.Set<java.io.File> compilerClasspath)` |
    `void` | `setJavadoc​(java.util.Set<java.io.File> javadoc)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setSources​(java.util.Set<java.io.File> sources)` |
    `void` | `setType​(java.lang.String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectLibrary

          public ProjectLibrary()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      The name of the library.

    - #### setName

          public void setName​(java.lang.String name)

    - #### getType

          public java.lang.String getType()

      The type of the library.

    - #### setType

          public void setType​(java.lang.String type)

    - #### getCompilerClasspath

          public java.util.Set<java.io.File> getCompilerClasspath()

      A set of Jar files containing compiler classes.

    - #### setCompilerClasspath

          public void setCompilerClasspath​(java.util.Set<java.io.File> compilerClasspath)

    - #### getClasses

          public java.util.Set<java.io.File> getClasses()

      A set of Jar files or directories containing compiled code.

    - #### setClasses

          public void setClasses​(java.util.Set<java.io.File> classes)

      A set of Jar files or directories containing source code.

    - #### getJavadoc

          public java.util.Set<java.io.File> getJavadoc()

      A set of Jar files or directories containing javadoc.

    - #### setJavadoc

          public void setJavadoc​(java.util.Set<java.io.File> javadoc)

    - #### getSources

          public java.util.Set<java.io.File> getSources()

      A set of directories containing sources.

    - #### setSources

          public void setSources​(java.util.Set<java.io.File> sources)

    - #### addToNode

          public void addToNode​(Node parentNode,
                                PathFactory pathFactory)

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`